This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 987793 - Miss validations for Puppet Certificate Name when configuring it in puppet page
Miss validations for Puppet Certificate Name when configuring it in puppet page
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ryan Barry
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 03:44 EDT by haiyang,dong
Modified: 2013-11-28 06:57 EST (History)
12 users (show)

See Also:
Fixed In Version: ovirt-node-3.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-28 06:57:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
attached Screenshot (10.59 KB, image/png)
2013-07-24 03:44 EDT, haiyang,dong
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17490 None None None Never

  None (edit)
Description haiyang,dong 2013-07-24 03:44:56 EDT
Created attachment 777637 [details]
attached Screenshot

Description of problem:
Using edit-node install ovirt-node-plugin-puppet into ovirt-node-iso,
enter into puppet page and input invalid Puppet Certificate Name "%%%%%%%%%%" to configure puppet.
Miss validations to prompt users that "%%%%%%%%%%" was invalid input info.
(Seen puppet.png)


Version-Release number of selected component (if applicable):
ovirt-node-iso-3.0.0-3.999.999.20130716190656git4e57356.2850.fc18.src.rpm
ovirt-node-plugin-puppet-3.1.0-0.999.20130722032114git68f34db.fc18.noarch.rpm

How reproducible:
100%

Steps to Reproduce:

   

Actual results:


Expected results:


Additional info:
Comment 1 Ryan Barry 2013-08-06 10:56:50 EDT
A fix for this has been posted at http://gerrit.ovirt.org/#/c/17490/

Note You need to log in before you can comment on or make changes to this bug.